# osgUtx::TestVisitor Class Reference

Visits while maintaining the current hierarchical context. More...

Inheritance diagram for osgUtx::TestVisitor:

[legend]
List of all members.

## Public Member Functions

virtual bool | visitEnter (TestSuite *)
virtual bool | visit (TestCase *)=0
virtual bool | visitLeave (TestSuite *)

## Protected Member Functions

| TestVisitor ()
| TestVisitor (const TestVisitor &)
virtual | ~TestVisitor ()

## Detailed Description

Visits while maintaining the current hierarchical context.

Also allows the traversal to be short-circuited at any point during the visitation.

## Constructor & Destructor Documentation

osgUtx::TestVisitor::TestVisitor | ( |  | ) | `[inline, protected]`

osgUtx::TestVisitor::TestVisitor | ( | const TestVisitor & |  | ) | `[inline, protected]`

virtual osgUtx::TestVisitor::~TestVisitor | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual bool osgUtx::TestVisitor::visit | ( | TestCase * |  | ) | `[pure virtual]`

| Implemented in osgUtx::QualifiedTestPrinter, and osgUtx::TestRunner.

virtual bool osgUtx::TestVisitor::visitEnter | ( | TestSuite * |  | ) | `[inline, virtual]`

| Reimplemented in osgUtx::TestQualifier, and osgUtx::TestRunner.

virtual bool osgUtx::TestVisitor::visitLeave | ( | TestSuite * |  | ) | `[inline, virtual]`

| Reimplemented in osgUtx::TestQualifier, and osgUtx::TestRunner.

The documentation for this class was generated from the following file:

- UnitTestFramework